package com.izouma.awesomeadmin.service;


import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ChatInfo;

import java.util.List;

public interface ChatInfoService {

    List<ChatInfo> getChatInfoList();


    List<ChatInfo> getChatInfoByPage(Page page, ChatInfo chatInfo);


    ChatInfo getChatInfoById(String id);


    ChatInfo getChatInfo(ChatInfo chatInfo);


    boolean createChatInfo(ChatInfo chatInfo);


    boolean deleteChatInfo(String id);


    boolean updateChatInfo(ChatInfo chatInfo);

    boolean readAll(ChatInfo chatInfo);


}
